[mypy]
python_version = 3.12
files = src/
;exclude = ~OLD
;        ~management
;        ~billing
;exclude = (?x)(^\~management$)
;exclude = (?x)(.*/power_query/.*)
exclude = (management/|tests/|manage.py)

install_types = true
show_error_codes = true
mypy_path = "$MYPY_CONFIG_FILE_DIR/stubs/:$MYPY_CONFIG_FILE_DIR/src/:"
strict = true
ignore_missing_imports = True
namespace_packages = true


[mypy-bitcaster_sdk.*]
ignore_missing_imports = True
follow_imports = skip
disable_error_code = type-var,
                     truthy-function,
                     union-attr,
                     var-annotated,
                     valid-type,
                     misc,
                     attr-defined,
                     no-any-return,
                     return,


[mypy-strategy_field.*]
ignore_errors = True
[mypy-environ.*]
ignore_errors = True
[mypy-power_query.*]
ignore_errors = True
[mypy-django.*]
ignore_missing_imports = True
[mypy-adminactions.*]
ignore_missing_imports = True
[mypy-adminfilters.*]
ignore_missing_imports = True
[mypy-admin_extra_buttons.*]
ignore_missing_imports = True
[mypy-flags.*]
ignore_missing_imports = True
